<?php 
    require('components/utils.php');
    adminLogin();
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin Dashboard | Midtown Hotel</title>
    <?php require('components/link.php') ?> 
    <style>
        .btn-main{
            background-color: #B6C2C2;
            border: none;
            color: #112E2E;
            padding: 6px 12px;
            text-align: center;
            font-size: 18px;
            font-weight: 500;
            border-radius: 3px;
        }
        .btn-main:hover{
            background-color: lightgray;
            color: black;
            transition: all 0.5s ease;
        }
        #dashboard-menu{
            position: fixed;
            height: 100%;
            background-color: #194141; 
            color: white; 
        }

    </style>
</head>
<body>
    <div class="container-fluid text-light p-2 d-flex align-items-center justify-content-between sticky-top" style="background-color: #112E2E;">
        <div class="d-flex align-items-center">
            <img src="../images/logo-white.png" alt="logo" style="width: 100px;"/>
            <h6 style="text-transform: uppercase; font-weight: 600;">Admin Dashboard</h6>
        </div>
        <a href="logout.php" class="btn btn-main" style="margin-right: 20px;">Logout</a>
    </div>
    <div class="col-lg-2" id="dashboard-menu">
        <nav class="navbar navbar-expand-lg navbar-light" style="background-color: #194141;">
            <div class="container-fluid flex-lg-column align-items-stretch">
                <p class="mt-2" style="font-weight: 600; font-size: 18px;">Admin Panel</p>
                <button class="navbar-toggler shadow-none border-none mb-2" type="button" data-bs-toggle="collapse" data-bs-target="#adminDropdown" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                    <i class="bi bi-list" style="color: white;"></i>
                </button>
                <div class="collapse navbar-collapse flex-column align-items-stretch" id="adminDropdown">
                    <ul class="nav nav-pills flex-column">
                        <li class="nav-item">
                            <a class="nav-link text-white" href="dashboard.php">Dashboard</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-white" href="#">Rooms</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-white" href="#">Users</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-white" href="#">Setting</a>
                        </li>
                    </ul>    
                </div>
            </div>
        </nav>
    </div>



    <?php require('components/script.php') ?>
</body>
</html>